Measure logo
REST API ReferenceDashboard APISessions

Fetch an app's sessions instances plot

GET/apps/{id}/sessions/plots/instances

Fetch an app's sessions instances plot by applying various optional filters.

For multiple comma separated fields, make sure no whitespace characters exist before or after commas.

Sessions that contain only a session start event, with no other activity, are always excluded from the instance counts regardless of filters.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO8601 timestamp to include sessions after this time.

to?string

ISO8601 timestamp to include sessions before this time.

timezone*string

IANA timezone used to bucket and format datetime values in the response.

plot_time_group?string

Time bucket used for plot aggregation. Accepted values: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated app version identifier strings to return only matching sessions.

version_codes?string

List of comma separated app version codes to return only matching sessions.

type?string

Comma-separated list of event source types to filter sessions. Accepted values: any combination of error, anr. When both type and severity are absent, all sessions are returned. When type is absent but severity is set, behaves as type=error,anr.

severity?string

Comma-separated list of exception severities to further narrow results. Accepted values: any combination of fatal, unhandled, handled. Severity filters only exceptions; ANR sessions are never filtered by severity.

bug_report?string

Boolean true/false to control if only sessions containing at least 1 bug report should be fetched.

background?string

Boolean true/false to control if only background sessions should be fetched.

foreground?string

Boolean true/false to control if only foreground sessions should be fetched.

user_interaction?string

Boolean true/false to control if only sessions that contain user interactions should be fetched.

countries?string

List of comma separated country identifier strings to return only matching sessions.

device_names?string

List of comma separated device name identifier strings to return only matching sessions.

device_manufacturers?string

List of comma separated device manufacturer identifier strings to return only matching sessions.

locales?string

List of comma separated device locale identifier strings to return only matching sessions.

network_providers?string

List of comma separated network provider identifier strings to return only matching sessions.

network_types?string

List of comma separated network type identifier strings to return only matching sessions.

network_generations?string

List of comma separated network generation identifier strings to return only matching sessions.

free_text?string

A keyword to search across session data.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

JSON string expression to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/sessions/plots/instances?timezone=string"
[  {    "id": "1.0 (1)",    "data": [      {        "datetime": "2024-10-02",        "instances": 12      }    ]  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue